Get Organization - Mem0
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Python
import requests
url = "https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/"
headers = {"Authorization": "Token <api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Token <api-key>'}};
fetch('https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/', options)
.then(response => response.json())
.then(response => console.log(response))
.catch(err => console.error(err));
curl --request GET \
--url https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/ \
--header 'Authorization: Token <api-key>'
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Token <api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}


Response Example
Successful response:
{
"id": 123,
"org_id": "<string>",
"name": "<string>",
"description": "<string>",
"address": "<string>",
"contact_email": "jsmith@example.com",
"phone_number": "<string>",
"website": "<string>",
"on_paid_plan": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"owner": 123,
"members": [
123
]
}
Error response:
{
"message": "Organization not found"
}
Authorizations
Authorization : string (header, required) - API key authentication. Prefix your Mem0 API key with 'Token '. Example: 'Token your_api_key'
Path Parameters
org_id:string<uuid>(required) - The unique identifier of the organization
Response Structure
- 200
application/json- Successful response. - id :
integer- Unique identifier for the organization. - org_id :
string- Unique organization ID - name :
string- Name of the organization. - description :
string- Description of the organization - address :
string- Address of the organization - contact_email :
string<email>- Contact email for the organization - phone_number :
string- Phone number of the organization - website :
string<uri>- Website of the organization - on_paid_plan :
boolean- Indicates if the organization is on a paid plan - created_at :
string<date-time>- Timestamp of when the organization was created. - updated_at :
string<date-time>- Timestamp of when the organization was last updated. - owner :
integer- Identifier of the organization's owner - members :
integer[]- List of member identifiers belonging to the organization.